

from define import *
from Thing import Thing


class ThingExit(Thing):

    # args: [pos_x, pos_y]
    def __init__(self, main, args):
        Thing.__init__(self, main, args)
        self.box[0] = 0.375
        self.main.map.get([int(i) for i in self.pos[:2]]).spr = (0,2)


    def step(self):
        if self.collide(self.main.pc):
            # Move from level to hub. 
            self.main.nextmap = LEVEL_HUB
            self.main.finmaps.add(self.main.map.filename)
            self.main.prevammo = list(self.main.ammo)
            self.main.prevhubkeys = list(self.main.mapkeys[0])


