
from define import *
from Thing import Thing
from Sprite import Sprite
from Sfx import Sfx


class ThingHeart(Thing):

    # args: [pos_x, pos_y]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.pos[2] = 0.5
        self.box[0] = 0.5

    def step(self):
        if self.main.pc.nrg < 5 and self.collide(self.main.pc):
            self.main.pc.nrg += 1
            self.main.pc.nrg = min(5,self.main.pc.nrg)
            self.nrg = 0
            self.main.flash = [1.0, 0.0, 0.5, 0.25]
            Sfx(self.main, 'heart.ogg', None)
        Sprite(self.main, self.pos, (10,1))

