

from define import *
from ThingBounce import ThingBounce
from Sfx import Sfx



class WeaponBounce:

    def __init__(self, main):
        self.main = main
        self.ani = 0
        self.tag = WEAPON_BOUNCE

    def attack(self):
        if self.ani > 0: return
        self.ani = 8
        Sfx(self.main, 'bounce_fire.ogg', None)
        self.main.ammo[self.tag] -= 1
        ThingBounce(self.main, self.main.pc.pos, self.main.pc.dir)

    def draw(self, ybot, vertices, texcoords):
        if self.ani > 0: 
            self.ani -= 1
        x = 0.0
        y = ybot+0.5
        vertices += [x+0.5, y+0.5, -1.0, x-0.5, y+0.5, -1.0,
                x-0.5, y-0.5, -1.0, x+0.5, y-0.5, -1.0]
        tex = self.main.tex_hud
        texcoords += tex.select((4,0),(2,2))


