
from define import *
from ThingLaser import ThingLaser
from Sfx import Sfx


class WeaponLaser:

    def __init__(self, main):
        self.main = main
        self.ani = 0
        self.tag = WEAPON_LASER

    def attack(self):
        if self.ani > 0: return
        self.ani = 32
        self.main.ammo[self.tag] -= 1
        ThingLaser(self.main, self.main.pc.pos, self.main.pc.dir)
        Sfx(self.main, 'laser_fire.ogg', None)

    def draw(self, ybot, vertices, texcoords):
        if self.ani > 0: 
            self.ani -= 1
        x = 0.0
        y = ybot+0.5
        vertices += [x+0.5, y+0.5, -1.0, x-0.5, y+0.5, -1.0,
                x-0.5, y-0.5, -1.0, x+0.5, y-0.5, -1.0]
        tex = self.main.tex_hud
        texcoords += tex.select((2,0),(2,2))
