

import math

from define import *


# Create one of these to play a sound.
class Sfx():

    # <fn> is the sound filename
    # <src> is the source thing, for directional sound. If this is None,
    # the sound will play as if coming from the camera.
    # <mul> is the loudness multiplier. 
    def __init__(self, main, fn, src=None, mul=1.0):
        self.main = main
        self.main.sounds.append(self)
        self.fn = fn
        self.src = src
        self.mul = mul

