

from Thing import Thing
from Sprite import Sprite

class ThingConfigDiff(Thing):

    # Args: [pos_x, pos_y]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.box[0] = 0.375
        self.main.things_solid.add(self)
        self.main.things_destr.add(self)


    def damage(self, nrg):
        self.main.hardmode ^= 1


    def step(self):
        if self.main.hardmode: 
            Sprite(self.main, self.pos, (0,9))

