
from Thing import Thing
from Sprite import Sprite

class ThingConfigMusic(Thing):

    # Args: [pos_x, pos_y]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.box[0] = 0.375
        self.main.things_solid.add(self)
        self.main.things_destr.add(self)


    def damage(self, nrg):
        self.main.core.config.music ^= 1
        self.main.core.config.save()


    def step(self):
        if self.main.core.config.music:
            Sprite(self.main, self.pos, (1,9))
        else:
            Sprite(self.main, self.pos, (2,9))


