

from Thing import Thing
from Sfx import Sfx


class ThingImpact(Thing):

    def __init__(self, main, pos, size, time, damage):
        Thing.__init__(self, main, pos)
        self.nrg = time
        self.box[0] = size
        self.damage = damage


    def step(self):
        self.nrg -= 1
        for t in self.main.things_destr:
            if self.collide(t):
                t.damage(self.damage)
                Sfx(self.main, 'rake_hit.ogg', None)
                self.nrg = 0
                break


