

from define import *

from Thing import Thing
from Sprite import Sprite


class ThingStatue(Thing):


    # args: [pos_x, pos_y, spr_x, spr_y]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        # Set the map tile to solid. This is much faster than using solid 
        # Things.
        if self.main.map.get([int(i) for i in self.pos[:2]]).solid > 0:
            print 'statue in solid:', [int(i) for i in self.pos[:2]]
        self.main.map.get([int(i) for i in self.pos[:2]]).solid = 2
        self.spr = map(int, args[2:])


    def step(self):
        Sprite(self.main, self.pos, self.spr)

