


from define import *

from Thing import Thing
from Sprite import Sprite


class ThingStatueAppear(Thing):


    # args: [pos_x, pos_y, spr_x, spr_y, flag_i]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.spr = map(int, args[2:])
        self.flag_i = int(args[4])
        self.appear = False


    def step(self):
        if self.appear:
            Sprite(self.main, self.pos, self.spr)
        elif self.flag_i in self.main.map.flags:
            if self.main.map.get([int(i) for i in self.pos[:2]]).solid > 0:
                print 'statue in solid:', [int(i) for i in self.pos[:2]]
            self.main.map.get([int(i) for i in self.pos[:2]]).solid = 2
            self.appear = True


