
from define import *

from Thing import Thing
from Texture import Texture



class ThingTriggerBg(Thing):

    # args: [pos_x, pos_y, new_bg]
    # Switches the background to new_bg when the PC walks over the trigger.
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.tex_bg = Texture(args[2])
        self.pos[2] = 0.5
        self.box[0] = 0.5


    def step(self):
        if self.collide(self.main.pc):
            # PC has triggered the swap
            self.nrg = 0
            self.main.map.tex_bg = self.tex_bg
            self.main.flash = [0.0, 0.0, 0.0, 1.0]



