
from define import *

from Thing import Thing



class ThingTriggerFlag(Thing):

    # args: [pos_x, pos_y, flag]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.flag = int(args[2])
        self.pos[2] = 0.5
        self.box[0] = 0.5


    def step(self):
        if self.flag in self.main.map.flags:
            self.nrg = 0
        if self.collide(self.main.pc):
            # PC has triggered the flag
            self.nrg = 0
            self.main.map.flags.add(self.flag)



