


from define import *
from Thing import Thing
from Sprite import Sprite
from Sfx import Sfx

class ThingWeaponSpread(Thing):

    # args: [pos_x, pos_y]
    def __init__(self, main, args):
        Thing.__init__(self, main, args[:2])
        self.pos[2] = 0.5
        self.box[0] = 0.5

    def step(self):
        if self.collide(self.main.pc):
            if (self.main.ammo[WEAPON_SPREAD] == 0 and
                    self.main.pc.weapon_switch == 0): 
                self.main.pc.weapon_prev = self.main.weapon_i
                self.main.weapon_i = WEAPON_SPREAD
                self.main.pc.weapon_switch = self.main.pc.SWITCH_T
            self.main.ammo[WEAPON_SPREAD] += 10
            self.main.pc.weapon_i = WEAPON_SPREAD
            self.nrg = 0
            Sfx(self.main, 'weapon_pickup.ogg', None)
            self.main.flash = [0.0, 1.0, 0.0, 0.25]
        Sprite(self.main, self.pos, (8,3))



